VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::SubscribedItemStub Class Reference

Remote stub implementation of the SubscribedItem API service. More...

Inherits vmware::content::library::SubscribedItem.

List of all members.

## Public Member Functions
| SubscribedItemStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Evict (string libraryItemId)
| Evicts the cached content of a library item in a subscribed library.
void | Evict (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Evicts the cached content of a library item in a subscribed library.
global::System.Threading.Tasks.Task | EvictAsync (string libraryItemId)
| Evicts the cached content of a library item in a subscribed library.
global::System.Threading.Tasks.Task | EvictAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Evicts the cached content of a library item in a subscribed library.
void | Sync (string libraryItemId, bool forceSyncContent)
| Forces the synchronization of an individual library item in a subscribed library.
void | Sync (string libraryItemId, bool forceSyncContent, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Forces the synchronization of an individual library item in a subscribed library.
global::System.Threading.Tasks.Task | SyncAsync (string libraryItemId, bool forceSyncContent)
| Forces the synchronization of an individual library item in a subscribed library.
global::System.Threading.Tasks.Task | SyncAsync (string libraryItemId, bool forceSyncContent, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Forces the synchronization of an individual library item in a subscribed library.

## Detailed Description

Remote stub implementation of the SubscribedItem API service.

## Constructor & Destructor Documentation

vmware::content::library::SubscribedItemStub::SubscribedItemStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::content::library::SubscribedItemStub::Evict | ( | string | libraryItemId | ) | `[inline]`

Evicts the cached content of a library item in a subscribed library.

This method allows the cached content of a library item to be removed to free up storage capacity. This method will only work when a library item is synchronized on-demand. When a library is not synchronized on-demand, it always attempts to keep its cache up-to-date with the published source. Evicting the library item will set ItemModel.cached to false.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.InvalidElementConfiguration | if the library item specified by libraryItemId is a member of a subscribed library that does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.EvictLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::SubscribedItem.

void vmware::content::library::SubscribedItemStub::Evict | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Evicts the cached content of a library item in a subscribed library.

This method allows the cached content of a library item to be removed to free up storage capacity. This method will only work when a library item is synchronized on-demand. When a library is not synchronized on-demand, it always attempts to keep its cache up-to-date with the published source. Evicting the library item will set ItemModel.cached to false.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.InvalidElementConfiguration | if the library item specified by libraryItemId is a member of a subscribed library that does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.EvictLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::SubscribedItem.

global::System.Threading.Tasks.Task vmware::content::library::SubscribedItemStub::EvictAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Evicts the cached content of a library item in a subscribed library.

This method allows the cached content of a library item to be removed to free up storage capacity. This method will only work when a library item is synchronized on-demand. When a library is not synchronized on-demand, it always attempts to keep its cache up-to-date with the published source. Evicting the library item will set ItemModel.cached to false.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.InvalidElementConfiguration | if the library item specified by libraryItemId is a member of a subscribed library that does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.EvictLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::SubscribedItem.

global::System.Threading.Tasks.Task vmware::content::library::SubscribedItemStub::EvictAsync | ( | string | libraryItemId | ) | `[inline]`

Evicts the cached content of a library item in a subscribed library.

This method allows the cached content of a library item to be removed to free up storage capacity. This method will only work when a library item is synchronized on-demand. When a library is not synchronized on-demand, it always attempts to keep its cache up-to-date with the published source. Evicting the library item will set ItemModel.cached to false.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.InvalidElementConfiguration | if the library item specified by libraryItemId is a member of a subscribed library that does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.EvictLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .

Implements vmware::content::library::SubscribedItem.

void vmware::content::library::SubscribedItemStub::Sync | ( | string | libraryItemId,
|  | bool | forceSyncContent
| ) |  | `[inline]`

Forces the synchronization of an individual library item in a subscribed library.

Synchronizing an individual item will update that item's metadata from the remote source. If the source library item on the remote library has been deleted, this method will delete the library item from the subscribed library as well.

The default behavior of the synchronization is determined by the SubscriptionInfo of the library which owns the library item.

- If SubscriptionInfo.onDemand is true, then the file content is not synchronized by default. In this case, only the library item metadata is synchronized. The file content may still be forcefully synchronized by passing true for the forceSyncContent parameter.
- If SubscriptionInfo.onDemand is false, then this call will always synchronize the file content. The forceSyncContent parameter is ignored when the subscription is not on-demand.

When the file content has been synchronized, the ItemModel.cached field will be true.

This method will return immediately and create an asynchronous task to perform the synchronization.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId could not be found.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.SyncLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  forceSyncContent | Whether to synchronize file content as well as metadata. This parameter applies only if the subscription is on-demand.

Implements vmware::content::library::SubscribedItem.

void vmware::content::library::SubscribedItemStub::Sync | ( | string | libraryItemId,
|  | bool | forceSyncContent,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Forces the synchronization of an individual library item in a subscribed library.

Synchronizing an individual item will update that item's metadata from the remote source. If the source library item on the remote library has been deleted, this method will delete the library item from the subscribed library as well.

The default behavior of the synchronization is determined by the SubscriptionInfo of the library which owns the library item.

- If SubscriptionInfo.onDemand is true, then the file content is not synchronized by default. In this case, only the library item metadata is synchronized. The file content may still be forcefully synchronized by passing true for the forceSyncContent parameter.
- If SubscriptionInfo.onDemand is false, then this call will always synchronize the file content. The forceSyncContent parameter is ignored when the subscription is not on-demand.

When the file content has been synchronized, the ItemModel.cached field will be true.

This method will return immediately and create an asynchronous task to perform the synchronization.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId could not be found.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.SyncLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  forceSyncContent | Whether to synchronize file content as well as metadata. This parameter applies only if the subscription is on-demand.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::SubscribedItem.

global::System.Threading.Tasks.Task vmware::content::library::SubscribedItemStub::SyncAsync | ( | string | libraryItemId,
|  | bool | forceSyncContent,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Forces the synchronization of an individual library item in a subscribed library.

Synchronizing an individual item will update that item's metadata from the remote source. If the source library item on the remote library has been deleted, this method will delete the library item from the subscribed library as well.

The default behavior of the synchronization is determined by the SubscriptionInfo of the library which owns the library item.

- If SubscriptionInfo.onDemand is true, then the file content is not synchronized by default. In this case, only the library item metadata is synchronized. The file content may still be forcefully synchronized by passing true for the forceSyncContent parameter.
- If SubscriptionInfo.onDemand is false, then this call will always synchronize the file content. The forceSyncContent parameter is ignored when the subscription is not on-demand.

When the file content has been synchronized, the ItemModel.cached field will be true.

This method will return immediately and create an asynchronous task to perform the synchronization.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId could not be found.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.SyncLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  forceSyncContent | Whether to synchronize file content as well as metadata. This parameter applies only if the subscription is on-demand.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::SubscribedItem.

global::System.Threading.Tasks.Task vmware::content::library::SubscribedItemStub::SyncAsync | ( | string | libraryItemId,
|  | bool | forceSyncContent
| ) |  | `[inline]`

Forces the synchronization of an individual library item in a subscribed library.

Synchronizing an individual item will update that item's metadata from the remote source. If the source library item on the remote library has been deleted, this method will delete the library item from the subscribed library as well.

The default behavior of the synchronization is determined by the SubscriptionInfo of the library which owns the library item.

- If SubscriptionInfo.onDemand is true, then the file content is not synchronized by default. In this case, only the library item metadata is synchronized. The file content may still be forcefully synchronized by passing true for the forceSyncContent parameter.
- If SubscriptionInfo.onDemand is false, then this call will always synchronize the file content. The forceSyncContent parameter is ignored when the subscription is not on-demand.

When the file content has been synchronized, the ItemModel.cached field will be true.

This method will return immediately and create an asynchronous task to perform the synchronization.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library item specified by libraryItemId could not be found.
  vmware.vapi.std.errors.InvalidElementType | if the library item specified by libraryItemId is not a member of a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter libraryItemId requires `ContentLibrary.SyncLibraryItem` .

Parameters:

  libraryItemId | Identifier of the library item to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  forceSyncContent | Whether to synchronize file content as well as metadata. This parameter applies only if the subscription is on-demand.

Implements vmware::content::library::SubscribedItem.

The documentation for this class was generated from the following file:

- SubscribedItemStub.cs